VIPW(8)

NOM
vipw, vigr - Éditer les fichiers passwd, group, shadow ou gshadow

SYNOPSIS

vipw [options]

vigr [options]

DESCRIPTION

The vipw and vigr commands edits the files /etc/passwd and /etc/group, respectively. With the -s flag, they will edit the shadow versions of those files, /etc/shadow and /etc/gshadow, respectively. The programs will set the appropriate locks to prevent file corruption. When looking for an editor, the programs will first try the environment variable $VISUAL, then the environment variable $EDITOR, and finally the default editor, vi(1).

OPTIONS

The options which apply to the vipw and vigr commands are:

-g, --group
    Éditer la base de données de groupes.

-h, --help
    Afficher un message d'aide et quitter.

-p, --passwd
    Éditer la base de données passwd.

-q, --quiet
    Mode silencieux.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory.

-s, --shadow
    Éditer les bases de données shadow ou gshadow.

ENVIRONNEMENT

VISUAL
    L'éditeur à utiliser

EDITOR
    Editor to be used if VISUAL is not set.

FICHIERS

/etc/group
    Informations sur les groupes.

/etc/gshadow
    Informations sécurisées sur les groupes.

/etc/passwd
    Informations sur les comptes des utilisateurs.

/etc/shadow
    Informations sécurisées sur les comptes utilisateurs.

VOIR AUSSI

vi(1), group(5), gshadow(5) , passwd(5), , shadow(5).